MDrawGlyph Struct Reference
GUI API » Drawing

Type of information about a glyph metric and font. More...

Collaboration diagram for MDrawGlyph:
[legend]

## Data Fields

int | from
int | to
int | glyph_code
int | x_advance
int | y_advance
int | x_off
int | y_off
int | lbearing
int | rbearing
int | ascent
int | descent
MFont * | font
MSymbol | font_type
void * | fontp

## Detailed Description

Type of information about a glyph metric and font.

The type MDrawGlyph is the structure that contains information about a glyph metric and font. It is used by the function mdraw_glyph_list().

## Field Documentation

## from

int MDrawGlyph::from

Character range corresponding to the glyph.

## to

int MDrawGlyph::to

## glyph_code

int MDrawGlyph::glyph_code

Font glyph code of the glyph.

## x_advance

int MDrawGlyph::x_advance

Logical width of the glyph. Nominal distance to the next glyph.

## y_advance

int MDrawGlyph::y_advance

Logical height of the glyph. Nominal distance to the next glyph.

## x_off

int MDrawGlyph::x_off

X offset relative to the glyph position.

## y_off

int MDrawGlyph::y_off

Y offset relative to the glyph position.

## lbearing

int MDrawGlyph::lbearing

Metric of the glyph (left-bearing).

## rbearing

int MDrawGlyph::rbearing

Metric of the glyph (right-bearing).

## ascent

int MDrawGlyph::ascent

Metric of the glyph (ascent).

## descent

int MDrawGlyph::descent

Metric of the glyph (descent).

## font

MFont* MDrawGlyph::font

Font used for the glyph. Set to NULL if no font is found for the glyph.

## font_type

MSymbol MDrawGlyph::font_type

Type of the font. One of Mx, Mfreetype, Mxft.

## fontp

void* MDrawGlyph::fontp

Pointer to the font structure. The actual type is (XFontStruct *) if <font_type> member is Mx, FT_Face if <font_type> member is Mfreetype, and (XftFont *) if <font_type> member is Mxft.